Bug 62037 - Ultrasparc XFree86 PCI is dirty like zebra
Ultrasparc XFree86 PCI is dirty like zebra
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-03-26 16:35 EST by Tom "spot" Callaway
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-26 20:19:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Sparc PCI Domains Patch for XFree86 4.2.0 on sparc (59.38 KB, patch)
2002-03-26 16:36 EST, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2002-03-26 16:35:10 EST
Description of Problem:

Ultrasparc XFree86 PCI is dirty like zebra

Version-Release number of selected component (if applicable):

4.2.0, although, this affects all versions of XFree 4.*.*

How Reproducible:


Steps to Reproduce:
1. Run XFree86 4.2.0 on an UltraSPARC with a PCI video card
2. Oops
3. XFree86 4.2.0 is still dirty

Actual Results:

XFree86 bombs out, says that its having trouble handling pci domains

Expected Results:

XFree86 runs.

Additional Information:
Dave Miller fixed this around 4.0.2, I took his patches from Debian Unstable and
reapplied them to our 4.2.0 tree from Skipjack. The patch is attached to this bug.
Comment 1 Tom "spot" Callaway 2002-03-26 16:36:02 EST
Created attachment 50646 [details]
Sparc PCI Domains Patch for XFree86 4.2.0 on sparc
Comment 2 Mike A. Harris 2002-03-26 20:19:26 EST
Comment 3 Mike A. Harris 2002-03-28 08:23:49 EST
Applied to 4.2.0-6.51.  Sparc hope is no longer dirty like zebra but
for to be clean like whistle.  I have to the no test as no have the
sparc!  If working problems, reopen with new patch soon yes?

Note You need to log in before you can comment on or make changes to this bug.